package thread;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import api.ClientEjbService;

public class CallThread extends Thread {

	int threadNumber;
	long waitTime;
	ClientEjbService service;
	DateFormat dfmt = new SimpleDateFormat("hh:mm:ss:S");

	public CallThread(int threadNumber, ClientEjbService service, long waitTime) {
		this.threadNumber = threadNumber;
		this.service = service;
		this.waitTime = waitTime;

	}

	public void run() {
		System.out.println(dfmt.format(new Date()) + " Thread " + threadNumber + ": start.");
		service.callServer(waitTime);
		System.out.println(dfmt.format(new Date()) + " Thread " + threadNumber + ": stop.");
	}

}
