package ejb;

import java.util.UUID;

import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import api.ServerEjbService;

@Stateless
@Remote
public class EjbServer implements ServerEjbService {

	private static final Log LOG = LogFactory.getLog(EjbServer.class);

	@Override
	public String call(String testString) {
		LOG.info("Received call");
		return "done";
	}

}
